summaryrefslogtreecommitdiffstats
path: root/.local/bin/statusbar/news
diff options
context:
space:
mode:
authormokulus <36231852+mokulus@users.noreply.github.com>2020-04-24 14:44:48 +0200
committerGitHub <noreply@github.com>2020-04-24 08:44:48 -0400
commit5d59b3927da16f589dfb961e54a86e6f14a480d6 (patch)
tree8cf39175f28a9095544a451e173e8cc4dcb49b2b /.local/bin/statusbar/news
parent349668f423542119770d2deb5e815442e4b1fa0d (diff)
downloadeibhear-5d59b3927da16f589dfb961e54a86e6f14a480d6.tar.gz
eibhear-5d59b3927da16f589dfb961e54a86e6f14a480d6.tar.zst
eibhear-5d59b3927da16f589dfb961e54a86e6f14a480d6.zip
Fix minor statusbar issues (#597)
* Fix: Remove trailing space from battery * Unify spacing in disk * Fix news Don't display news module when there are no news. * Use grep -F in pacpackages * Fix torrent Remove trailing whitespace *after* replacing newlines. * Quote sed command
Diffstat (limited to '.local/bin/statusbar/news')
-rwxr-xr-x.local/bin/statusbar/news2
1 files changed, 1 insertions, 1 deletions
diff --git a/.local/bin/statusbar/news b/.local/bin/statusbar/news
index 455f64d..65ae7fd 100755
--- a/.local/bin/statusbar/news
+++ b/.local/bin/statusbar/news
@@ -13,4 +13,4 @@ case $BLOCK_BUTTON in
<b>Note:</b> Only one instance of newsboat (including updates) may be running at a time." ;;
esac
- cat /tmp/newsupdate 2>/dev/null || echo "$(newsboat -x print-unread | awk '{ print "📰 " $1}' | sed s/^0$//g)$(cat ${XDG_CONFIG_HOME:-$HOME/.config}/newsboat/.update 2>/dev/null)"
+ cat /tmp/newsupdate 2>/dev/null || echo "$(newsboat -x print-unread | awk '{ print "📰 " $1}' | sed 's/^📰 0$//g')$(cat ${XDG_CONFIG_HOME:-$HOME/.config}/newsboat/.update 2>/dev/null)"